#!/bin/sh

../../asn1c/asn1c -S ../../skeletons ../tap3.asn1 || exit $?

if [ ! -f Makefile.am.sample ]; then
	echo "Makefile.am.sample is missing"
	exit 1
fi

set -x
cat Makefile.am.sample						\
	| sed -e 's/^CFLAGS.*/CFLAGS += -I. -DHAVE_CONFIG_H/'	\
	| sed -e 's/progname/tap3dump/'				\
	> Makefile.$$

(	echo
	echo "../tap3.asn1:"
	echo "	@echo The ../tap3.asn1 file is not yet present."
	echo "	@echo Please read the README file on how to obtain this file."
	echo "	@exit 42"
	echo
	echo "DataInterChange.c: ../tap3.asn1 regenerate.Makefile"
	echo "	./regenerate.Makefile"
	echo "	@touch DataInterChange.c"
	echo "	make"
	echo
	echo '$(TARGET).o: ../../skeletons/asn-decoder-template.c'
	echo '	$(CC) $(CFLAGS) -o $(TARGET).o -c $<'
	echo
	echo "distclean: clean"
	echo '	rm -f $(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)'
	echo "	rm -f Makefile.am.sample"
) >> Makefile.$$

rm Makefile.am.sample || exit $?

mv Makefile.$$ Makefile

set +x
echo
echo "Makefile generation finished"
